<%= content_for(:page_title, 'Register') %>

<section class="cover fullscreen image-bg overlay" style="height: 784px;">
  <div class="background-image-holder fadeIn" style="background: url('/back_register.jpg');">
    <img alt="image" class="background-image" src="/back_register.jpg" style="display: none;">
  </div>
  <div class="container v-align-transform">
    <div class="row">
      <div class="col-sm-6 col-sm-offset-3">
        <div class="feature bordered text-center back">
          <h4 class="uppercase">Register Here</h4>
          <%= simple_form_for(resource, as: resource_name, url: registration_path(resource_name), html: {class: 'text-left'}) do |f| %>
            <%= f.error_notification %>
            <%= f.input_field :username, required: true, autofocus: true, placeholder: 'Username' %>
            <%= f.input_field :email, type: :text, required: true, placeholder: 'Email' %>
            <%= f.input_field :first_name, type: :text, required: true, placeholder: 'First name' %>
            <%= f.input_field :last_name, type: :text, required: true, placeholder: 'Last name' %>
            <%= f.input_field :password, required: true, hint: ("#{@minimum_password_length} characters minimum" if @minimum_password_length), placeholder: 'Password (6 letters minimum)' %>
            <%= f.input_field :password_confirmation, required: true, placeholder: 'Confirm password' %>
            <%= f.button :submit, "Register" %>
          <% end %>
        </div>
      </div>
    </div>
    <!--end of row-->
  </div>
  <!--end of container-->
</section>
